#!/usr/bin/env python
import os

from glob import glob
rootdirectory="/Users/Antoine/Desktop/20170525_1/"
#rootdirectory indicate where the folder is located
#do not forget "/" at the end of the path
filelist=glob(rootdirectory+"actual/pdf/*")
garbagedirectory=rootdirectory+"actual/garbage/"
czdir="/Users/Antoine/Desktop/"+"LK VAC cz/"
#name and location of the folder for czech data
endir="/Users/Antoine/Desktop/"+"LK VAC en/"
#name and location of the folder for english data

for filename in filelist:
    if os.path.isfile(filename):
        filepath, filetail = os.path.split(filename)
        fbase, fext = os.path.splitext(filetail)
        filetail=filetail.replace("ad-lk","lk")
        #remove "ad-" of the name
        filetail=filetail.replace("_"," ")
        #replace "_" by blnc space
        if filetail.lower().endswith("cz.pdf"):
            os.renames(filename,czdir+filetail)
        elif filetail.lower().endswith("en.pdf"):
            os.renames(filename,endir+filetail)

#!/usr/bin/env python
import os

from glob import glob
rootdirectory="/Users/Antoine/Desktop/LK VAC cz/"
#name and location of the folder for czech data
filelist=glob(rootdirectory+"*")
garbagedirectory=rootdirectory+"/garbage/"
czdir="/Users/Antoine/Desktop/"+"LK VAC cz/"

for filename in filelist:
    if os.path.isfile(filename):
        filepath, filetail = os.path.split(filename)
        fbase, fext = os.path.splitext(filetail)
        if fbase.lower().endswith("cz"):
            if fbase.lower().startswith("lk"):
                os.renames(filename,czdir+fbase[:4]+"/"+filetail)

#!/usr/bin/env python
import os

from glob import glob
rootdirectory="/Users/Antoine/Desktop/LK VAC en/"
#name and location of the folder for english data
filelist=glob(rootdirectory+"*")
garbagedirectory=rootdirectory+"/garbage/"
endir="/Users/Antoine/Desktop/"+"LK VAC en/"

for filename in filelist:
    if os.path.isfile(filename):
        filepath, filetail = os.path.split(filename)
        fbase, fext = os.path.splitext(filetail)
        if fbase.lower().endswith("en"):
            if fbase.lower().startswith("lk"):
                os.renames(filename,endir+fbase[:4]+"/"+filetail)
